services:
    oro_shipping.shipping_method.registry:
        class: 'Oro\Bundle\ShippingBundle\Method\ShippingMethodRegistry'
        public: false

    oro_shipping.shipping_method_provider.flat_rate:
        class: 'Oro\Bundle\ShippingBundle\Method\FlatRate\FlatRateShippingMethodProvider'
        public: false
        tags:
            - { name: oro_shipping_method_provider }

    oro_shipping.formatter.shipping_method_label:
        class: 'Oro\Bundle\ShippingBundle\Formatter\ShippingMethodLabelFormatter'
        arguments:
            - "@oro_shipping.shipping_method.registry"

    oro_shipping.twig.shipping_method_extension:
        class: 'Oro\Bundle\ShippingBundle\Twig\ShippingMethodExtension'
        public: false
        arguments:
            - "@oro_shipping.formatter.shipping_method_label"
        tags:
            - { name: twig.extension }
